echo off
cls
echo 	ͻ
echo 	    WELCOME TO THE VEDIT FAMILY DEMO ON THE IBM PC    
echo 	ͼ
echo 
echo If you prefer, you can first copy the demo disk to your hard disk; this is
echo necessary if you want to run the Compiler Support portion of the demo.
echo Be sure you are logged onto your hard disk and then follow these steps:
echo 
echo 	MD \VDEMO
echo 	CD \VDEMO
echo 	COPY A:*.*
echo 	DEMO
echo 
echo Otherwise make a copy of the disk since you can accidentally alter its files
echo during the demo!  To run the demo from a floppy disk place the disk into
echo drive "A", log onto drive "A:" and give the DOS command:
echo 
echo 	DEMO
echo 
echo Feel free to copy the demo disk!  Make copies for your friends, etc.
echo Please copy the entire disk, so that all files are intact.
echo 
pause
cls
echo To run the Compiler Support:
echo 
echo Follow the steps above to copy the files to your hard disk. Run the program
echo VCSD.COM which will create the addition files needed to run the Compiler
echo Support:
echo 
echo 	VCSD
echo 
echo You will be able to compile, link and run the two supplied example programs
echo ADDER.C and EGA43.ASM; each purposely contains several obvious syntax errors
echo for you to correct.
echo 
echo The Compiler Support is initially set up for Microsoft C (5.x or 6.0), and
echo MASM. If you prefer to use Borland's Turbo C and Turbo Assembler run the
echo batch file "BORLAND.BAT":
echo 
echo 	BORLAND
echo 
echo Print the file COMPILE.DEM which gives detailed instructions on the Compiler
echo Support portion of the demo. You can use VEDIT for this:
echo 
echo 	VDEMO -X PRINT COMPILE.DEM
echo 
pause
cls
echo 
echo To start up the Compiler Support you can use the batch file "COMPILE.BAT":
echo 
echo 	COMPILE ADDER.C
echo 
echo Alternatively, if you have installed the V-SWAP program described below,
echo you can start up the Compiler Support while editing a file by just pressing
echo ALT-I.
echo 
echo Follow the instructions printed from COMPILE.DEM.
echo 
pause
cls
echo The V-SWAP Program:
echo 
echo V-SWAP is a small TSR program with which VEDIT can completely swap itself
echo and any desired TSRs out of memory in order to run the largest compilers
echo and debuggers. V-SWAP is normally run from your AUTOEXEC.BAT file, but for
echo this demo you can run it manually:
echo 
echo 	VSWAP /E:512
echo 
echo (If your environment is larger than 512 bytes, increase the "/E:nnn"
echo parameter.)
echo 
echo Now edit the file ADDER.C: (you may need the "-B" option with B/W monitors)
echo 
echo 	VDEMO ADDER.C           or          VDEMO -B ADDER.C
echo 
echo To start up the Compiler Support you now only need to press ALT-I.
echo 
echo If desired, you can remove V-SWAP from memory after completing the demo
echo by giving the DOS command:
echo 
echo 	VSWAP /R
echo 
pause
cls
echo 
echo To fully utilize V-SWAP it should be run from within your AUTOEXEC.BAT file.
echo Place the command "VSWAP /E:512" before other TSRs such as desktop utilities.
echo All TSRs following the VSWAP command will be swapped out of memory. In most
echo cases, V-SWAP can even swap network drives out of memory. (However, the VSWAP
echo command must follow any disk cache programs.)
echo 
echo After modifying your AUTOEXEC.BAT you must re-boot for the changes to take
echo effect.
echo 
echo When VEDIT shells out to DOS (runs DOS programs) V-SWAP will swap VEDIT and
echo other TSRs out of memory. In effect you can then have more memory available
echo than when you entered VEDIT!
echo 
pause
cls
echo Description of files on disk:
echo 
echo VDEMO.EXE	A fully functional VEDIT PLUS for the IBM PC. Its only
echo 		restriction is that it can only readily edit very small files.
echo 		However, it is perfect for editing Batch files and short
echo 		letters. (See below for editing large files.)
echo 
echo VSWAP.EXE	A small TSR with which VEDIT can completely swap itself and any
echo 		desired TSRs out of memory in order to run large compilers and
echo 		debuggers. The command "VSWAP /H" displays all VSWAP options.
echo 
echo VVHELP.HLP	Help file accessed by [HELP] function - ALT-F1. You can
echo 		print the ".HLP" files for more information about VEDIT.
echo 
echo VPHELP.HLP	Help file accessed by "H" command.
echo 
echo HELP.BAT	Demonstrates how a simple Help system can be implemented using
echo 		this demo VEDIT PLUS and the DISPLAY.VDM macro. It displays
echo 		the file HELP.TXT. Feel free to create your own HELP.TXT
echo 		file. This is a good way to keep track of the names of all the
echo 		programs you have on your hard disk.
echo 
pause
cls
echo PRINT.VDM	Simple "macro" for printing any text file. It prints the
echo 		filename, date and page number on each page and is a nice
echo 		alternative to the DOS "PRINT" command. To print the file
echo 		"myfile" give the DOS command:
echo 
echo 		VDEMO -X PRINT myfile
echo 
echo DISPLAY.VDM	Simple "macro" for displaying any text file. Uses a window to
echo 		give instructions and is a nice alternative to the DOS "TYPE"
echo 		command. To display the file "myfile" give the DOS command:
echo 
echo 		VDEMO -X DISPLAY myfile
echo 
echo 		Alternatively, you can create a batch file "D.BAT" containing
echo 		"VDEMO -X DISPLAY %%1". Then use the simpler command:
echo 
echo 		D myfile
echo 
echo WORDSTAR.KEY	These files are alternate keyboard layouts which emulate
echo WORDPERF.KEY	WordStar and Word Perfect. Instructions for using them are
echo 		given below.
echo 
pause
cls
echo DEMO.VDM	The main part of the demo "macro".
echo 
echo DEMOxx.VDM	Additional "subroutines" which make up the demo. They are
echo 		automatically loaded by DEMO.VDM.
echo 
echo DEMOxx.TXT	Text files and instruction files which make up the demo.
echo 		Automatically loaded by DEMO.VDM.
echo 
echo VPCS.COM	Running this "archive" program creates the files needed to run
echo 		the Compiler Support portion of the demo. This should be done
echo 		on a hard disk; a 360K floppy cannot hold all of the files.
echo 
pause
cls
echo Editing small files:
echo 
echo VDEMO.EXE is restricted to editing small files. However, it is perfect for
echo editing DOS "batch" files and short letters.  To edit "myfile.txt" give the
echo command:
echo 
echo 	VDEMO myfile.txt        or       VDEMO -B myfile.txt
echo 
echo The "-B" option is needed only if you have a B/W monitor and notice that
echo the pull-down menus are blank.
echo 
echo For the on-line help to work, VDEMO must be able to find its ".HLP" files in
echo the current directory, or in "\VDEMO" of the current drive.
echo 
echo The "real" VEDIT can be configured to find its help files in any desired
echo directory of any drive.
echo 
pause
cls
echo Editing large files:
echo 
echo If you attempt to edit a file larger than 1024 bytes with VDEMO, it will read
echo the file into memory without complaint. HOWEVER, when you save the file, it
echo will only write the first 1024 bytes and give the message:
echo 
echo FILE IS TOO LARGE FOR DEMO VERSION - USE {FILE, QUIT} TO QUIT
echo 
echo You can select {FILE, Quit, Exit} to quit and return to DOS. Alternatively, if
echo you are determined to save the entire file, you can repeatedly select
echo {FILE, Exit} - each will save another 1024 bytes.
echo 
echo Obviously, the real VEDIT has no such limitation with large files.
echo 
pause
cls
echo Changing the Keyboard Layout:
echo 
echo The "real" product includes a configuration program which lets you change
echo the keyboard layout built into VEDIT. However, VEDIT also lets you load
echo a temporary new keyboard layout at any time by selecting {MISC, Keystroke
echo Macros, Load from File} from the menu system.
echo 
echo To make it easier to emulate WordStar or Word Perfect, two files WORDSTAR.KEY
echo and WORDPERF.KEY are supplied. You can load these at any time by selecting
echo {MISC, Keystroke Macros, Load from File}; at the prompt enter the name of the
echo desired ".KEY" file.
echo 
echo Note:	The instructions during the demo are set up for the default
echo 	keyboard layout. Therefore, we suggest finishing the demo before
echo 	changing the keyboard layout.
echo 
pause
cls
echo 
echo Enjoy the demo and be sure to contact us if you have any questions.
echo 
echo 	Greenview Data Inc.
echo 	P.O. Box 1586
echo 	Ann Arbor, MI  48106
echo 
echo 	Toll Free: (800) 45-VEDIT  (U.S. and Canada)
echo 	Telephone: (313) 996-1299
echo 	Fax:       (313) 996-1308
echo 
echo 
echo NOTES:	To print this file, give the DOS command:
echo 
echo 	VDEMO -X PRINT READ-ME.BAT
echo 
echo 	If you notice letters missing from VEDIT's pull-down menus when
echo 	running on a monochrome display, you most likely have the contrast
echo 	control on your monitor adjusted too low.
echo 
